This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 506903 - (CVE-2009-1887) CVE-2009-1887 net-snmp: DoS (division by zero) via SNMP GetBulk requests
CVE-2009-1887 net-snmp: DoS (division by zero) via SNMP GetBulk requests
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
source=bugzilla,reported=20090617,pub...
: Security
Depends On: 506444
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-19 04:26 EDT by Tomas Hoger
Modified: 2009-06-25 10:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-25 10:42:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2009-06-19 04:26:00 EDT
It was discovered that remote attacker can cause net-snmp's snmpd to crash via specially crafted SNMP GetBulk requests, that triggers division by zero in the following code:

    if (maxbulk <= 0 || maxbulk > maxresponses / r)
        maxbulk = maxresponses / r;

This code has been added as part of the fix for CVE-2008-4309 (bug #469349).  This problem never affected upstream net-snmp versions, thanks to following upstream commit from 2004:

http://net-snmp.svn.sourceforge.net/viewvc/net-snmp/trunk/net-snmp/agent/snmp_agent.c?r1=9583&r2=9695

This upstream change is part of net-snmp packages shipped in Red Hat Enterprise Linux 4 and later.  Therefore this division by zero DoS only affects net-snmp in Red Hat Enterprise Linux 3.
Comment 2 errata-xmlrpc 2009-06-25 10:34:43 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3

Via RHSA-2009:1124 https://rhn.redhat.com/errata/RHSA-2009-1124.html

Note You need to log in before you can comment on or make changes to this bug.